Skip to main content
PUT
/
training-data
/
{id}
Update training data
curl --request PUT \
  --url https://api.weav.com/v1/training-data/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "description": "<string>",
  "agent_ids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ]
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "type": "text",
  "source": "<string>",
  "title": "<string>",
  "description": "<string>",
  "slug": "<string>",
  "is_processed": true,
  "status": "queued",
  "training_folder_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Workspace API token. Include abilities external-api:read and/or external-api:write.

Path Parameters

id
string<uuid>
required

Body

application/json
title
string
Maximum string length: 255
description
string | null
agent_ids
string<uuid>[] | null

Response

Training data updated

id
string<uuid>
type
enum<string>
Available options:
text,
url,
file,
video,
qa
source
string | null
title
string | null
description
string | null
slug
string | null
is_processed
boolean
status
enum<string> | null
Available options:
queued,
processing,
completed,
failed
training_folder_id
string<uuid> | null
created_at
string<date-time> | null
updated_at
string<date-time> | null